#!/usr/bin/perl 

# web_get.cgi - Parametrage des sites a aspirer
# Version 1.0

# This script is part of the SLIS Project initiated by the CARMI-Internet
# (Acadmie de Grenoble - France 38).
# Ce script fait partie du projet SLIS dmarr par le CARMI-Internet
# (Acadmie de Grenoble - France 38).
#
# SLIS : Serveur de communications Linux pour l'Internet Scolaire.
# Copyright (C) 1998,1999 Bruno Bzeznik
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#    You should have received a copy of the GNU General Public License
#    along with this program (For example ./COPYING);
#    if not, write to the Free Software Foundation, Inc., 675 Mass Ave,
#    Cambridge, MA 02139, USA.
#
# Please send all comments and bug reports by electronic mail to:
#   Bruno Bzeznik <Bruno@ac-grenoble.fr>
# or to <slis@ac-grenoble.fr>
#
# Envoyez vos suggestions et reports de bugs par e-mail 
#   Bruno Bzeznik <Bruno@ac-grenoble.fr>
# ou  <slis@ac-grenoble.fr>
# 

# Variables
do '/home/hadmin/slis.conf.pl';

use CGI ;
$html = new CGI ;
print $html->header ;

# Lecture de l'entete standard HTML
open (HEAD,"$ENTETE");
print <HEAD> ;
close HEAD ;

# Lecture des parametres administrateur
open (PARAMS,"$BASE/params_admin.txt");
@param= <PARAMS> ;

# Tests de validit
if ($param[2] eq "") {
  print "<CENTER>";
  print "Vous n'avez pas entr&eacute; correctement les param&egrave;tres
administrateur\n";
  print "<A HREF=/cgi-bin/params_admin_form.cgi>VEUILLEZ LE FAIRE.</A>\n";
  print "</CENTER></BODY></HTML>";
  exit;
  }

# Recup des variables du formulaire
$url1=$html->param('url1');
$url2=$html->param('url2');
$url3=$html->param('url3');
$r1=$html->param('r1');
$r2=$html->param('r2');
$r3=$html->param('r3');
$l1=$html->param('l1');
$l2=$html->param('l2');
$l3=$html->param('l3');
$q1=$html->param('q1');
$q2=$html->param('q2');
$q3=$html->param('q3');
$auto=$html->param('auto');

# Ecriture dans le fichier
open (WGET,">$QUEUE/wget.slis");
print WGET "$url1\t$r1\t$l1\t$q1\n";
print WGET "$url2\t$r2\t$l2\t$q2\n";
print WGET "$url3\t$r3\t$l3\t$q3";
close WGET;

`echo $auto > $QUEUE/wget-auto.slis`;

`touch $QUEUE/webreplic`;

# Ecriture du resultat
print "<BR><BR><HR><CENTER><H3><I>Les informations ont &eacute;t&eacute; enregistr&eacute;es" ;
print "\n</I></H3><P>Elles seront prises en compte lors de la" ;
print " prochaine validation.<P>\n" ;
print "\n";
print "</CENTER><HR><P>
<DIV ALIGN=RIGHT>
<A HREF=web_get_form.cgi>&lt;&lt; 
Retour &agrave; la configuration des aspirations</A>
<P>
<A HREF=/web_get.html>&lt;&lt; 
Retour au menu \"aspiration...\"</A>
</DIV>
";

# Lecture du pied de page standard
open (FOOT,"$PIED");
print <FOOT> ;
close FOOT ;

